unit Unit5;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Unit3, Unit4;

type
  TForm5 = class(TForm)
    Panel1: TPanel;
    Panel2: TPanel;
    Splitter1: TSplitter;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    FForm3 : TForm3;
    FForm4 : TForm4;
  public
    { Public declarations }
  end;

var
  Form5: TForm5;

implementation

{$R *.dfm}

procedure TForm5.FormCreate(Sender: TObject);
begin
  FForm3             := TForm3.Create(Self);
  FForm3.Parent      := Panel1;
  FForm3.Align       := alClient;
  FForm3.BorderIcons := [];
  FForm3.BorderStyle := bsNone;
  FForm3.Show;

  FForm4             := TForm4.Create(Self);
  FForm4.Parent      := Panel2;
  FForm4.Align       := alClient;
  FForm4.BorderIcons := [];
  FForm4.BorderStyle := bsNone;
  FForm4.Show;
end;

procedure TForm5.FormDestroy(Sender: TObject);
begin
  if Assigned(FForm3) then
    FreeAndNil(FForm3);

  if Assigned(FForm4) then
    FreeAndNil(FForm4);
end;

end.
